Summary: Utilities for managing the global file system (GFS2)
Name:    gfs2-utils
Version: 3.5.1
Release: 3%{?dist}
License: GPLv2+ and LGPLv2+
URL:     https://pagure.io/gfs2-utils
Source0: https://releases.pagure.org/gfs2-utils/gfs2-utils-%{version}.tar.gz

BuildRequires: automake make bison flex libtool
BuildRequires: zlib-devel bzip2-devel 
BuildRequires: kernel-headers libblkid-devel libuuid-devel  
BuildRequires: ncurses-devel gettext-devel check-devel

%description
This package contains a number of utilities for creating, checking,
modifying, and correcting inconsistencies in GFS2 file systems.

%prep
%autosetup -p1

%build
./autogen.sh
%configure
%make_build

%install
%make_install -C gfs2 

rm -f %{buildroot}/usr/sbin/gfs2_trace
rm -f %{buildroot}/usr/sbin/gfs2_lockcapture
rm -f %{buildroot}%{_mandir}/man8/gfs2_trace.8
rm -f %{buildroot}%{_mandir}/man8/gfs2_lockcapture.8

%check
make check

%files 
%license doc/COPYING.* doc/COPYRIGHT doc/README.licence  
%doc doc/README.contributing doc/*.txt
%{_prefix}/lib/udev/rules.d/82-gfs2-withdraw.rules
%{_sbindir}/gfs2*
%{_sbindir}/*gfs2
%{_sbindir}/glocktop
%{_libexecdir}/gfs2_withdraw_helper
%{_mandir}/man8/*gfs2*
%{_mandir}/man8/glocktop*
%{_mandir}/man5/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5.1-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5.1-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Jul 11 2023 Yi Lin <nilusyi@tencent.com> - 3.5.1-1
- upgrade to 3.5.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.4.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.4.1-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Aug 30 2022 Wang Zhe <bessiewang@tencent.com> - 3.4.1-1
- initial build
